LibreOffice: XPluginContext Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XPluginContext Interface Referencepublished

Interface receiving calls from a plugin library. More...

`import"XPluginContext.idl";`

Inheritance diagram for XPluginContext:

## Public Member Functions
string | getValue ([in] com::sun::star::plugin::XPlugin xPlugin, [in] com::sun::star::plugin::PluginVariable aVariable) raises ( com::sun::star::plugin::PluginException )
| Requests global application parameters like display connection on UNIX systems. More...
void | getURLNotify ([in] com::sun::star::plugin::XPlugin plugin, [in] string url, [in] string target, [in] com::sun::star::lang::XEventListener listener) raises ( com::sun::star::plugin::PluginException )
| Requests a notification of completion of the operation on an URL. More...
void | getURL ([in] com::sun::star::plugin::XPlugin plugin, [in] string url, [in] string target) raises ( com::sun::star::plugin::PluginException )
| Requests an URL to be loaded into the frame target. More...
void | postURLNotify ([in] com::sun::star::plugin::XPlugin plugin, [in] string url, [in] string target, [in] sequence< byte > buf, [in] boolean file, [in] com::sun::star::lang::XEventListener listener) raises ( com::sun::star::plugin::PluginException )
| Posts data from a buffer or file to an URL and receives a notification upon completion. More...
void | postURL ([in] com::sun::star::plugin::XPlugin plugin, [in] string url, [in] string target, [in] sequence< byte > buf, [in] boolean file) raises ( com::sun::star::plugin::PluginException )
| Posts data from a buffer or file to an URL. More...
void | newStream ([in] com::sun::star::plugin::XPlugin plugin, [in] string mimetype, [in] string target, [in] com::sun::star::io::XActiveDataSource aSource) raises ( com::sun::star::plugin::PluginException )
| Requests a new stream that is created by the plugin and consumed by the browser. More...
void | displayStatusText ([in] com::sun::star::plugin::XPlugin plugin, [in] string message) raises ( com::sun::star::plugin::PluginException )
| Displays a message in the browser status line. More...
string | getUserAgent ([in] com::sun::star::plugin::XPlugin plugin) raises ( com::sun::star::plugin::PluginException )
| Returns an application dependent identification string. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface receiving calls from a plugin library.

A default context can be created using the PluginManager.

## Member Function Documentation

void displayStatusText | ( | [in] com::sun::star::plugin::XPlugin | plugin,
|  | [in] string | message
| ) |  |
raises | ( | com::sun::star::plugin::PluginException
| ) |  |

Displays a message in the browser status line.

Parameters

  plugin | plugin
  message | message

void getURL | ( | [in] com::sun::star::plugin::XPlugin | plugin,
|  | [in] string | url,
|  | [in] string | target
| ) |  |
raises | ( | com::sun::star::plugin::PluginException
| ) |  |

Requests an URL to be loaded into the frame target.

Parameters

  plugin | plugin
  url | url
  target | target frame

void getURLNotify | ( | [in] com::sun::star::plugin::XPlugin | plugin,
|  | [in] string | url,
|  | [in] string | target,
|  | [in] com::sun::star::lang::XEventListener | listener
| ) |  |
raises | ( | com::sun::star::plugin::PluginException
| ) |  |

Requests a notification of completion of the operation on an URL.

Parameters

  plugin | plugin
  url | url
  target | target frame
  listener | event listener

string getUserAgent | ( | [in] com::sun::star::plugin::XPlugin | plugin | ) |
raises | ( | com::sun::star::plugin::PluginException
| ) |  |

Returns an application dependent identification string.

This is the same string that is transmitted by a browser to an http server.

Parameters

  plugin | plugin

Returns
  id

string getValue | ( | [in] com::sun::star::plugin::XPlugin | xPlugin,
|  | [in] com::sun::star::plugin::PluginVariable | aVariable
| ) |  |
raises | ( | com::sun::star::plugin::PluginException
| ) |  |

Requests global application parameters like display connection on UNIX systems.

Parameters

  xPlugin | plugin
  aVariable | variable

Returns
  value

void newStream | ( | [in] com::sun::star::plugin::XPlugin | plugin,
|  | [in] string | mimetype,
|  | [in] string | target,
|  | [in] com::sun::star::io::XActiveDataSource | aSource
| ) |  |
raises | ( | com::sun::star::plugin::PluginException
| ) |  |

Requests a new stream that is created by the plugin and consumed by the browser.

Parameters

  plugin | plugin
  mimetype | mime type
  target | target frame
  aSource | data source

void postURL | ( | [in] com::sun::star::plugin::XPlugin | plugin,
|  | [in] string | url,
|  | [in] string | target,
|  | [in] sequence< byte > | buf,
|  | [in] boolean | file
| ) |  |
raises | ( | com::sun::star::plugin::PluginException
| ) |  |

Posts data from a buffer or file to an URL.

Parameters

  plugin | plugin
  url | url
  target | target frame
  buf | data
  file | whether data is from file

void postURLNotify | ( | [in] com::sun::star::plugin::XPlugin | plugin,
|  | [in] string | url,
|  | [in] string | target,
|  | [in] sequence< byte > | buf,
|  | [in] boolean | file,
|  | [in] com::sun::star::lang::XEventListener | listener
| ) |  |
raises | ( | com::sun::star::plugin::PluginException
| ) |  |

Posts data from a buffer or file to an URL and receives a notification upon completion.

Parameters

  plugin | plugin
  url | url
  target | target frame
  buf | data
  file | whether data is from file
  listener | event listener

The documentation for this interface was generated from the following file:

- com/sun/star/plugin/XPluginContext.idl